Skip to main content
`Ctrl`+`K`

# PetscSectionGetFieldPointOffset

Return the offset for the first field dof associated with the given point relative to the offset for that point for the unnamed default field’s first dof

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetFieldPointOffset(PetscSection s, PetscInt point, PetscInt field, PetscInt *offset)

Not Collective

## Input Parameters

- s - the `PetscSection`

- point - the point

- field - the field

## Output Parameter

- offset - the offset

## Note

This ignores constraints

## Example

      if PetscSectionSetPointMajor(s,PETSC_TRUE)
      The unnamed default field has 3 dof at `point`
      Field 0 has 2 dof at `point`
      Then PetscSectionGetFieldPointOffset(s,point,1,&offset) returns and offset of 5

## See Also

PetscSection, `PetscSection`, `PetscSectionGetOffset()`, `PetscSectionCreate()`, `PetscSectionGetFieldOffset()`

## Level

advanced

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages